### D.5.11 JMBTest_lib

Library:
  JMBTest.lib
Purpose:
  A library for Singular which performs JM basis test.
Author:
  Michela Ceria, email: michela.ceria@unito.it

Overview:
  The library performs the J-marked basis test, as described in [CR], [BCLR]. Such a test is performed via the criterion explained in [BCLR], concerning Eliahou-Kervaire polynomials (EK from now on). We point out that all the polynomials are homogeneous and they must be arranged by degree.
  The fundamental steps are the following:
  -construct the Vm polynomials, via the algorithm VConstructor explained in [CR];
  -construct the Eliahou-Kervaire polynomials defined in [BCLR];
  -reduce the Eliahou-Kervaire polynomials using the Vm's;
  -if it exist an Eliahou-Kervaire polynomial such that its reduction mod Vm is different from zero, the given one is not a J-Marked basis.

  The algorithm terminates only if the ordering is rp. Anyway, the number of reduction steps is bounded.

References:
  [CR] Francesca Cioffi, Margherita Roggero,Flat Families by Strongly Stable Ideals and a Generalization of Groebner Bases, J. Symbolic Comput. 46, 1070-1084, (2011).
  [BCLR] Cristina Bertone, Francesca Cioffi, Paolo Lella, Margherita Roggero, Upgraded methods for the effective computation of marked schemes on a strongly stable ideal, Journal of Symbolic Computation
  (2012), http://dx.doi.org/10.1016/j.jsc.2012.07.006

Procedures:

> D.5.11.1 Minimus |  | minimal variable in an ideal
> D.5.11.2 Maximus |  | maximal variable in an ideal
> D.5.11.3 StartOrderingV |  | ordering of polynomials as in [BCLR]
> D.5.11.4 TestJMark |  | tests whether we have a J-marked basis

See also: JMSConst_lib.

User manual for Singular version 4-0-3, 2016, generated by texi2html.